=== debian/control ===
Source: rng-tools
Section: utils
Priority: optional
Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
XSBC-Original-Maintainer: Henrique de Moraes Holschuh <hmh@debian.org>
Build-Depends: debhelper (>> 7), autoconf, automake, libtspi-dev
Standards-Version: 3.8.4.0
Vcs-Browser: http://git.debian.org/?p=users/hmh/rng-tools.git;a=summary
Vcs-git: git://git.debian.org/users/hmh/rng-tools.git

Package: rng-tools
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, udev (>= 0.053) | makedev (>= 2.3.1-77)
Provides: intel-rng-tools
Replaces: intel-rng-tools
Conflicts: intel-rng-tools
Description: Daemon to use a Hardware TRNG
 The rngd daemon acts as a bridge between a Hardware TRNG (true random number
 generator) such as the ones in some Intel/AMD/VIA chipsets, and the kernel's
 PRNG (pseudo-random number generator).
 .
 It tests the data received from the TRNG using the FIPS 140-2 (2002-10-10)
 tests to verify that it is indeed random, and feeds the random data to the
 kernel entropy pool.
 .
 This increases the bandwidth of the /dev/random device, from a source that
 does not depend on outside activity.  It may also improve the quality
 (entropy) of the randomness of /dev/random.
 .
 A TRNG kernel module such as hw_random, or some other source of true
 entropy that is accessible as a device or fifo, is required to use this
 package.
 .
 This is an unofficial version of rng-tools which has been extensively
 modified to add multithreading and a lot of new functionality.
