## rng-tools 2-unofficial-mt.14

=== debian/changelog ===
rng-tools (2-unofficial-mt.14-1~60squeeze1) stable; urgency=low

  * Debian 6.0 (Squeeze) backport to fix important bugs in Debian stable
    (closes: #609289, #630771)
    + No changes from 2-unofficial-mt.14-1

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Wed, 14 Sep 2011 11:16:19 -0300

rng-tools (2-unofficial-mt.14-1) unstable; urgency=low

  * New upstream version:
    + Work around VIA Nano xstore bug (closes: #609289)
    + Add support for Linux 3.0 (closes: #630771)

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sat, 18 Jun 2011 00:12:54 -0300
