=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: rng-tools
 Section: utils
 Priority: optional
-Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
-XSBC-Original-Maintainer: Henrique de Moraes Holschuh <hmh@debian.org>
-Build-Depends: debhelper (>> 7), autoconf, automake, libtspi-dev
+Maintainer: Henrique de Moraes Holschuh <hmh@debian.org>
+Build-Depends: debhelper (>> 7), autoconf, automake
 Standards-Version: 3.8.4.0
 Vcs-Browser: http://git.debian.org/?p=users/hmh/rng-tools.git;a=summary
 Vcs-git: git://git.debian.org/users/hmh/rng-tools.git
