=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for rng-tools
# GNU copyright 1997 to 1999 by Joey Hess.
# Copyright (c) 2003-2010 by Henrique de Moraes Holschuh
# Published under the GNU GPL license version 2 or any later versions
# Based on previous work by Viral Shah <viral@debian.org>.

PACKAGE:=rng-tools
PKGDIR:=$(CURDIR)/debian/$(PACKAGE)

# DebHelper control
export DH_ALWAYS_EXCLUDE=CVS:.svn:.git

DEB_BUILD_ARCH     ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifneq (,$(findstring strict,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -Werror
endif

confflags=
# FOR AUTOCONF 2.52 AND NEWER ONLY
ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
	confflags += --build $(DEB_HOST_GNU_TYPE)
else
	confflags += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

# Detect i386/i486 and force-enable VIA PadLock support
ifneq (,$(findstring i386,$(DEB_BUILD_ARCH)))
	confflags += --enable-viapadlock
endif

build-prepare: build-prepare-stamp
build-prepare-stamp:
	@dh_testdir
	./autogen.sh
	touch build-prepare-stamp

configure-stamp: | build-prepare
	dh_testdir

	./configure CFLAGS="$(CFLAGS) -Wall -pipe" $(confflags)\
	  --prefix=/usr \
	  --mandir=\$${prefix}/share/man \
	  --infodir=\$${prefix}/share/info

	touch configure-stamp

build: build-stamp
build-stamp: configure-stamp
	dh_testdir

	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	rm -rf autom4te.cache

	[ ! -f Makefile ] || $(MAKE) distclean

	rm -f config.sub config.guess configure config.log
	rm -fr autom4te.cache

	rm -f Makefile.in aclocal.m4 contrib/Makefile.in 
	rm -f Makefile contrib/Makefile
	rm -f depcomp install-sh missing rng-tools-config.h.in

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	$(MAKE) install DESTDIR=$(PKGDIR)

        # Install logcheck files
	mkdir -p $(PKGDIR)/etc/logcheck/ignore.d.server
	install -m 644 debian/logcheck.ignore \
	  $(PKGDIR)/etc/logcheck/ignore.d.server/rng-tools
	mkdir -p $(PKGDIR)/etc/logcheck/violations.ignore.d
	install -m 644 debian/logcheck.ignore \
	  $(PKGDIR)/etc/logcheck/violations.ignore.d/rng-tools


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs README
#	dh_installexamples
#	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
	dh_installmodules
	dh_installinit --error-handler=true
#	dh_installcron
	dh_installman
#	dh_installinfo
#	dh_undocumented
	dh_installchangelogs ChangeLog
	dh_lintian
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install build-prepare
