## rng-tools 4

=== debian/changelog ===
rng-tools (4-0ubuntu2) trusty; urgency=medium

  * Add missing build-depends on libgcrypt.

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 18 Mar 2014 15:57:06 -0400

rng-tools (4-0ubuntu1) saucy; urgency=low

  * Merge from upstream git://git.kernel.org/pub/scm/utils/kernel/rng-tools/rng-tools.git
    908d733527a361621da88cdf931a71aa83cba430
    -LP: #1084378

 -- Tim Gardner <tim.gardner@canonical.com>  Tue, 13 Aug 2013 13:12:05 +0000

rng-tools (2-unofficial-mt.14-1ubuntu1) oneiric; urgency=low

  * Merge from debian unstable (LP: #812121). Remaining changes:
    - debian/patches/tpm-engine.patch: implement TPM entropy source
      (Debian bug 542599).
    - debian/control: add build-deps for TPM interface.
    - debian/rng-tools.default: add example for TPM devices.
    - debian/{rules,rng-tools.postinst}: adjust rc start/stop location to
      start later then trousers.

 -- Steve Beattie <sbeattie@ubuntu.com>  Sun, 17 Jul 2011 22:48:46 -0700
