=== debian/rules ===
--- 
+++ 
@@ -107,7 +107,7 @@
 #	dh_installpam
 #	dh_installmime
 	dh_installmodules
-	dh_installinit --error-handler=true
+	dh_installinit --error-handler=true -- defaults 21 19
 #	dh_installcron
 	dh_installman
 #	dh_installinfo
