## rng-tools 5

=== debian/changelog ===
rng-tools (5-1ubuntu2) eoan; urgency=medium

  * Build-Depend on libgcrypt20-dev instead of libgcrypt11-dev

 -- Julian Andres Klode <juliank@ubuntu.com>  Tue, 23 Apr 2019 11:53:57 +0200

rng-tools (5-1ubuntu1) disco; urgency=medium

  * Add systemd unit.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 06 Mar 2019 09:52:05 +0000

rng-tools (5-1) unstable; urgency=medium

  [ David Härdeman ]
  * Add lsb_logging to init.d script (Closes: #384921, #773297)

  [ Christian Kastner]
  * Use logcheck-conform filtering rules in logcheck.ignore (Closes: #620692)

  [ Peter Eisentraut ]
  * Add support for "status" action to init.d script (Closes: #653482)

  [ Ivan Baldo ]
  * Add descriptions in init.d script (Closes: #774920)

  [ Aron Xu ]
  * Non-maintainer upload.
  * Synchronize source tree with Ubuntu (Closes: #587157, #692450, #828835)
  * Rewrite debian/rules using dh style
  * Update std-ver to 4.2.1
  * Bump to compat 10

 -- Aron Xu <aron@debian.org>  Sun, 02 Dec 2018 18:00:52 +0800

rng-tools (5-0ubuntu4) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:42:02 +0000

rng-tools (5-0ubuntu3) vivid; urgency=medium

  * No-change rebuild for the libgcrypt20 transition.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 27 Mar 2015 06:17:37 -0600

rng-tools (5-0ubuntu2) vivid; urgency=medium

  * Fix capability detection for Intel RDRAND cpu feature in the init
    script and thus start rngd daemon on compatible cpus. (LP: #1377131)

 -- Dimitri John Ledkov <dimitri.j.ledkov@linux.intel.com>  Fri, 31 Oct 2014 11:27:17 +0000

rng-tools (5-0ubuntu1) utopic; urgency=medium

  * Dropped debian/patches
  * Release version 5.
    rdrand: Enable the RDSEED instruction
    rdrand: Fix the RDRAND data reduction
    rdrand: Simplify by changing x86_rdrand_nlong to x86_rdrand_bytes
    rngd_rdrand: Support compiling for x32 by adding unative_t
    rdrand_asm.S: On x86-64 we have enough registers, avoid repeated loads
    rdrand_asm.S: Use #ifdef instead of #if defined()
    rngd_rdrand: Don't use a fixed AES key for data reduction
    rngd_rdrand: Code style cleanups
    Add BUGS file.
    rngd.8: Delete obsolete FIXME
    Provide support for RDRAND capable systems that don't have AES-NI.
    Fix the AES keys so that they are correct and match the comments.
    Update FSF mailing address in license.
    rngtest.1.in: Import spelling fixes from Fedora
    -LP: #1256167

 -- Tim Gardner <tim.gardner@canonical.com>  Tue, 10 Jun 2014 12:42:27 -0600
