=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: rng-tools
 Section: utils
 Priority: optional
-Maintainer: Henrique de Moraes Holschuh <hmh@debian.org>
-Build-Depends: debhelper (>> 7), autoconf, automake
-Standards-Version: 3.8.4.0
-Vcs-Browser: http://git.debian.org/?p=users/hmh/rng-tools.git;a=summary
-Vcs-git: git://git.debian.org/users/hmh/rng-tools.git
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Henrique de Moraes Holschuh <hmh@debian.org>
+Build-Depends: debhelper (>= 10), libtspi-dev, libgcrypt20-dev
+Standards-Version: 4.2.1
 
 Package: rng-tools
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, udev (>= 0.053) | makedev (>= 2.3.1-77)
+Depends: ${misc:Depends}, ${shlibs:Depends}, udev (>= 0.053) | makedev (>= 2.3.1-77), lsb-base
 Provides: intel-rng-tools
 Replaces: intel-rng-tools
 Conflicts: intel-rng-tools
