=== debian/rules ===
#!/usr/bin/make -f

# Detect i386/i486 and force-enable VIA PadLock support
ifneq (,$(findstring i386,$(DEB_BUILD_ARCH)))
	confflags = --enable-viapadlock
endif

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- CFLAGS="$(CFLAGS) -Wall -pipe" $(confflags)
