## rng-tools 5migrate1

=== debian/changelog ===
rng-tools (5migrate1) unstable; urgency=low

  * Convert to transitional dummy package migrating the configuration
    to rng-tools-debian (but asking the user to consider rng-tools5)
    - rng-tools-debian has HRNGSELECT (Closes: #590141)
    - rng-tools-debian is based on 2-unofficial-mt.14 (Closes: #951799)
      and does not Build-Depends on gcrypy (Closes: #919412)
  * This implements the desired migration for bullseye (Closes: #915689)
    as requested, with the previous maintainer agreeing (Closes: #919893)
  * Point out migration via NEWS file
  * urgency=low to better test, this will be direly needed though

 -- Thorsten Glaser <tg@mirbsd.de>  Wed, 11 Nov 2020 02:49:53 +0100
