=== debian/control ===
Source: rng-tools
Section: oldlibs
Priority: optional
Maintainer: Thorsten Glaser <tg@mirbsd.de>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.5.0
Rules-Requires-Root: no
Vcs-Browser: https://evolvis.org/plugins/scmgit/cgi-bin/gitweb.cgi?p=alioth/rng-tools.git;a=shortlog;h=refs/heads/bullseye-migrate
Vcs-Git: https://evolvis.org/anonscm/git/alioth/rng-tools.git -b bullseye-migrate

Package: rng-tools
Architecture: all
Pre-Depends: ${misc:Pre-Depends}, mksh
Depends: ${misc:Depends}, rng-tools-debian (>= 2.2~)
Description: transitional dummy package for rng-tools migration
 Most users who wish to use rngd in Debian should use the
 rng-tools5 package. However, Debian traditionally has shipped
 a much extended fork with many extra options; this fork is now
 available as rng-tools-debian with migration provided by this
 transitional dummy package.
 .
 You can safely uninstall this package. Afterwards, you can
 continue using rng-tools-debian but please consider switching
 to rng-tools5 if you can, as that is the more modern solution.
